
\tikzstyle{block} = [draw, fill=none, rectangle, minimum height=2em]
\tikzstyle{sum} = [draw, fill=none, circle, node distance=1cm]
\tikzstyle{input} = [coordinate]
\tikzstyle{output} = [coordinate]
\tikzstyle{pinstyle} = [pin edge={black,latex-,line width=1pt}]

% The block diagram code is probably more verbose than necessary
\begin{tikzpicture}[auto,>=latex,line width=1pt, font=\small]
    % We start by placing the blocks
    \node [input, name=input] {};
    \node [sum, node distance=2cm, right = of input] (sum) {};
    \node [block, right = of sum, node distance=1cm] (controller) {Controller};
    \node [block, right = of controller, pin={[pinstyle]above:Disturbances},
            node distance=0cm] (system) {System};
    % We draw an edge between the controller and system block to 
    % calculate the coordinate u. We need it to place the measurement block. 
    \draw [->] (controller) -- node[name=u, text width=2cm, align=center] {$\Delta c$} (system);
    \node [output, node distance=2cm, right = of system] (output) {};
    \node [block, node distance=1.5cm, below of=u] (measurements) {Smoothing};

    % Once the nodes are placed, connecting them is easy. 
    \draw [draw,->] (input) -- node[text width=1.25cm,align=center] {Desired Free Memory} (sum);
    \draw [->] (sum) -- node[text width=2cm,align=center] {Error} (controller);
    \draw [->] (system) -- node [name=y, text width=1.25cm, align=center] {Free Memory}(output);
    \draw [->] (y) |- (measurements);
    \draw [->] (measurements) -| node[pos=0.99] {$-$} 
        node [near start, text width=3cm, align=center] {(Smoothened) Free Memory} (sum);
\end{tikzpicture}